<!doctype html>
<html lang="{{ locale }}">
  <head profile="http://www.w3.org/2005/10/profile">
    {% if site.googleTagId %}
      <!-- Global site tag (gtag.js) - Google Analytics -->
      <script async src="https://www.googletagmanager.com/gtag/js?id={{ site.googleTagId }}"></script>
      <script>
        window.dataLayer = window.dataLayer || [];
        function gtag() {
          dataLayer.push(arguments);
        }
        gtag('js', new Date());

        gtag('config', '{{ site.googleTagId }}');
      </script>
    {% endif %}
    <title>{{ title }} - {{ site.name }}</title>
    <meta name="description" content="{{ description }}">
    <meta name="keywords" content="{{ keywords }}">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/png" href="{{ site.faviconUrl | url  }}">
    <link rel="stylesheet" type="text/css" href="{{ '/assets/main.css' | url }}"/>
    <link href="https://unpkg.com/prismjs@1.21.0/themes/prism-okaidia.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.1/css/all.min.css" rel="stylesheet">
  </head>
  <body>
    {% include './top-nav.njk' %}

    <div class="container w-full flex flex-wrap mx-auto px-2 pt-8 lg:pt-16 mt-16">
      <div class="content w-full">
        {{ content | safe }}
      </div>
      {% if not (disableComments or false) %}
      <div class="content w-full">
        <div id="disqus_thread"></div>
      </div>
      {% endif %}
    </div>

    {% include './footer.njk' %}

    <script src="{{ '/assets/main.js' | url }}"></script>

    <script>
      /* https://gist.github.com/slavapas/593e8e50cf4cc16ac972afcbad4f70c8 */
      /* Toggle dropdown list */

      var navMenuDiv = document.getElementById("nav-content");
      var navMenu = document.getElementById("nav-toggle");

      document.onclick = check;

      function check(e) {
        var target = (e && e.target) || (event && event.srcElement);

        //Nav Menu
        if (!checkParent(target, navMenuDiv)) {
          // click NOT on the menu
          if (checkParent(target, navMenu)) {
            // click on the link
            navMenuDiv.classList.toggle("hidden");
          } else {
            // click both outside link and outside menu, hide menu
            navMenuDiv
              .classList
              .add("hidden");
          }
        }
      }

      function checkParent(t, elm) {
        while (t.parentNode) {
          if (t == elm) {
            return true;
          }
          t = t.parentNode;
        }
        return false;
      }

{% if site.DISQUS_SITE_NAME %}
/**
 * Disqus
 */
var disqus_config = function () {
this.language = "{{ locale }}";
this.page.title = '{{ title }}';
this.page.url = '{{ site.rootUrl }}{{ page.url }}';  // Replace PAGE_URL with your page's canonical URL variable
this.page.identifier = '{{ page.fileSlug }}'; // Replace PAGE_IDENTIFIER with your page's unique identifier variable
};
(function() { // DON'T EDIT BELOW THIS LINE
var d = document, s = d.createElement('script');
s.src = 'https://{{ site.DISQUS_SITE_NAME }}.disqus.com/embed.js';
s.setAttribute('data-timestamp', +new Date());
(d.head || d.body).appendChild(s);
})();
{% endif %}
    </script>
  </body>
</html>
